%{?nodejs_find_provides_and_requires}

Name:       nodejs-asap
Version:    2.0.6
Release:    %mkrel 3
Summary:    High-priority task queue for Node.js and browser
License:    MIT
Group:      System/Libraries
URL:        https://github.com/kriskowal/asap
Source0:    https://registry.npmjs.org/asap/-/asap-%{version}.tgz

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
%{summary}.

%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/asap
cp -pr package.json asap.js raw.js \
    %{buildroot}%{nodejs_sitelib}/asap
%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check
#%__nodejs test/asap-test.js

%files
%doc LICENSE.md README.md
%{nodejs_sitelib}/asap



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.0.6-3.mga10
+ Revision: 2209397
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 2.0.6-2.mga9
+ Revision: 1820137
- Mageia 9 Mass Rebuild

* Sat Jun 13 2020 joequant <joequant> 2.0.6-1.mga8
+ Revision: 1593238
- update and add missing files

* Thu May 07 2020 joequant <joequant> 2.0.3-1.mga8
+ Revision: 1581466
- update to 2.0.3

* Mon Feb 17 2020 umeabot <umeabot> 1.0.0-4.mga8
+ Revision: 1537238
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-3.mga8
+ Revision: 1264686
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.0-2.mga6
+ Revision: 950445
- Mageia 6 Mass Rebuild

* Wed Oct 29 2014 tv <tv> 1.0.0-1.mga5
+ Revision: 794489
- imported package nodejs-asap


* Wed Oct 29 2014 Thierry Vignaud <tv@mageia.org> 1.0.0-1.mga5
- import from FC

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-1
- initial package
